package com.jkcredit.invoice.hub.service.carFreeCarrierBillStart;

import com.jkcredit.invoice.hub.model.dto.carFreeCarrierBillStart.CarFreeCarrierBillStartDto;
import com.jkcredit.invoice.hub.model.po.carFreeCarrierBillStart.CarFreeCarrierBillStartPo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/16 23:24
 * @version: V1.0
 **/
public interface CarFreeCarrierBillStartService {
    void saveBillStart(CarFreeCarrierBillStartDto dto);

    void updateBillStartStatus(String num, Integer status);

    List<CarFreeCarrierBillStartPo> getRealTimeBills();

    List<CarFreeCarrierBillStartPo> getHistoryBills();

    CarFreeCarrierBillStartPo getBillStartByNum(String num);

    void saveBillStart(CarFreeCarrierBillStartPo po);

    void updateBillStartIsSearch(String num);

    List<String> getNoSearchNums(String userId);
}
